/**
 * WP-Translation Pro Styles
 */
/* # Variables
-----------------------------------------------------------------------*/
/* ### Colors */
/* ### Other */
.js-tabcontent[aria-hidden=true] {
  display: none;
}

.js-to_expand[aria-hidden=true],
.js-to_expand[data-hidden=true] {
  display: none;
}

.js-expandmore {
  margin: 0;
}
.js-expandmore:before {
  content: '---';
  color: #F18537;
}

.expandmore__button {
  padding: .5em;
  background: none;
  border: 1px solid #F18537;
  border-radius: 5px;
  font-size: inherit;
  color: inherit;
}
.expandmore__button span {
  vertical-align: middle;
  font-family: 'dashicons';
}

.expandmore__button[aria-expanded=false] > .expandmore__symbol:after,
.expandmore__button[data-expanded=false] > .expandmore__symbol:after {
  content: "\f347";
}

.expandmore__button[aria-expanded=true] > .expandmore__symbol:after,
.expandmore__button[data-expanded=true] > .expandmore__symbol:after {
  content: "\f343";
}

/* ### Clearfix */
/* ### Transitions */
.toplevel_page_wp-translations-pro #wpwrap {
  position: relative;
}

.wpt-button {
  margin-left: 4px;
  padding: 4px 8px;
  position: relative;
  text-decoration: none;
  border: none;
  border: 1px solid #ccc;
  border-radius: 2px;
  background: #f7f7f7;
  text-shadow: none;
  font-weight: 600;
  font-size: 13px;
  line-height: normal;
  color: #0073aa;
  cursor: pointer;
  outline: 0;
}
.wpt-button.primary {
  border-color: #008EC2;
  background: #00a0d2;
  color: #ffffff;
}
.wpt-button:hover {
  border-color: #008EC2;
  background: #00a0d2;
  color: #ffffff;
}
.wpt-button.danger {
  color: #d32f2f;
}
.wpt-button.danger:hover {
  background: #d32f2f;
  border-color: #d32f2f;
  color: #ffffff;
}

a.wpt-button {
  padding: 4px 8px 7px 8px;
}
a.wpt-button .dashicons {
  vertical-align: middle;
}

.wpt-button-link {
  padding: 0;
  background: none;
  border: none;
  color: #0073aa;
  cursor: pointer;
}
.wpt-button-link:hover {
  color: #00a0d2;
}

input[type="checkbox"].switch {
  -moz-appearance: none;
  -webkit-appearance: none;
  -o-appearance: none;
  position: relative;
  height: 20px;
  width: 40px;
  border-radius: 3px;
  box-shadow: inset -20px 0px 0px 1px rgba(192, 192, 192, 0.5);
  background-color: white;
  border: 1px solid silver;
  outline: none;
  -webkit-transition: 0.2s;
  transition: 0.2s;
}
input[type="checkbox"].switch:checked {
  box-shadow: inset 20px 0px 0px 1px rgba(0, 115, 170, 0.7);
  border: 1px solid #0073aa;
}
input[type="checkbox"].switch:checked::before {
  content: "";
  margin: 0;
}
input[type="checkbox"].switch::-ms-check {
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  /* IE 8 */
  filter: alpha(opacity=0);
  /* IE 5-7 */
  opacity: 0;
}

.wpt-settings-table .notice {
  margin: 0;
  padding: 1em;
}

#setting-error-wpt-settings-updated + #setting-error-wpt-settings-updated {
  display: none;
}

.wpt-license-notice td {
  padding: 0 1.5em !important;
}
.wpt-license-notice.is-error {
  background-color: #DC3232;
  border-color: #DC3232;
}
.wpt-license-notice.is-success {
  background-color: #46b450;
  border-color: #46b450;
}
.wpt-license-notice.is-info {
  background-color: #00A0D2;
  border-color: #00A0D2;
}

.wp-translations-notice {
  background: #fff;
  background-color: white;
  border-left: 4px solid #fff;
  border-left-color: white;
  margin: 5px 20px 15px 40px;
  padding: 1px 12px;
}
.wp-translations-notice p {
  margin: 0.5em 0 !important;
}
.wp-translations-notice p::before {
  font: normal 20px/1 'dashicons';
  margin-right: .4em;
  vertical-align: middle;
}

.wpt-settings-table .wp-translations-notice p {
  margin: 0.5em 0;
}
.wpt-settings-table .wp-translations-notice p::before {
  margin-right: 6px;
  vertical-align: bottom;
}

.wp-translations-notice-second {
  top: 39px !important;
}

.wp-translations-update-message p::before {
  color: #f56e28;
  content: "\f463";
}

.wp-translations-update-message p:nth-of-type(2) {
  display: none;
}

.wp-translations-updated-message p::before {
  font: normal 20px/1 'dashicons';
  color: #79ba49;
  content: "\f147";
}

.wp-translations-info-message p::before {
  font: normal 20px/1 'dashicons';
  content: "\f326";
  color: #00a0d2;
}

.wp-translations-notice-success {
  background-color: #ecf7ed;
  border-left-color: #46b450;
}

.wp-translations-notice-warning {
  background-color: #fff8e5;
  border-left-color: #ffb900;
}

.wp-translations-notice-info {
  background-color: #e5f5fa;
  border-left-color: #00a0d2;
}

.wpt-notice-table {
  height: 30px;
  color: #FFF;
  font-weight: bold;
  vertical-align: middle;
  padding: 0 1em;
}
.wpt-notice-table.wpt-notice-table-error {
  background-color: #DC3232;
}
.wpt-notice-table.wpt-notice-table-error:after {
  content: '';
  font-size: 1.2rem;
}
.wpt-notice-table.wpt-notice-table-success {
  background-color: #46b450;
}
.wpt-notice-table.wpt-notice-table-success:after {
  content: '';
  font-size: 1.2rem;
}
.wpt-notice-table.wpt-notice-table-info {
  background-color: #00A0D2;
}
.wpt-notice-table.wpt-notice-table-info:after {
  content: ' .';
  animation: dots 1s steps(5, end) infinite;
  font-size: 1.2rem;
}

.wpt-field-notice-error {
  color: #DC3232;
  font-style: italic;
  padding-bottom: .5em;
}

.wpt-spinner {
  display: inline-block;
  width: 20px;
  height: 20px;
  font-size: 20px;
  line-height: 1;
  font-family: dashicons;
  vertical-align: middle;
  text-align: center;
  animation: wpt-spin-anim 1s infinite linear;
}
.wpt-spinner::before {
  content: "\f531";
  font-size: 20px;
  line-height: 1;
  font-family: dashicons;
  font-weight: normal;
  font-style: normal;
  text-align: center;
}
.wpt-spinner.is-success {
  display: inline-block;
  animation-name: none;
}
.wpt-spinner.is-success::before {
  visibility: visible;
  content: "\f147";
}
.wpt-spinner.is-error {
  display: inline-block;
  animation-name: none;
}
.wpt-spinner.is-error::before {
  visibility: visible;
  content: "\f534";
}

@keyframes wpt-spin-anim {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(-359deg);
    transform: rotate(-359deg);
  }
}
@keyframes dots {
  0%, 20% {
    color: transparent;
    text-shadow: 0.25em 0 0 transparent, 0.5em 0 0 transparent;
  }
  40% {
    color: white;
    text-shadow: 0.25em 0 0 transparent, 0.5em 0 0 transparent;
  }
  60% {
    text-shadow: 0.25em 0 0 white, 0.5em 0 0 transparent;
  }
  80%, 100% {
    text-shadow: .25em 0 0 white, .5em 0 0 white;
  }
}
@keyframes dotsprimary {
  0%, 20% {
    color: transparent;
    text-shadow: 0.25em 0 0 transparent, 0.5em 0 0 transparent;
  }
  40% {
    color: #0073aa;
    text-shadow: 0.25em 0 0 transparent, 0.5em 0 0 transparent;
  }
  60% {
    text-shadow: 0.25em 0 0 #0073aa, 0.5em 0 0 transparent;
  }
  80%, 100% {
    text-shadow: 0.25em 0 0 #0073aa, 0.5em 0 0 #0073aa;
  }
}
.wpt-page .postbox {
  margin-top: 1em;
}
.wpt-page .postbox h2 {
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 14px;
  padding: 0 12px;
  margin: 0;
  height: 47px;
  line-height: 1.4;
  border-bottom: 1px solid #eee;
  color: #006277;
}
.wpt-page .postbox select {
  line-height: 30px;
  height: 30px;
  margin-top: 2px;
}

.wpt-table-footer {
  padding: 10px;
  background: #F5F5F5;
  border-top: 1px solid #ddd;
  text-align: right;
}

.wpt-settings-table {
  width: 100%;
  border-collapse: collapse;
  table-layout: auto;
}
.update-core-php .wpt-settings-table {
  background-color: #ffffff;
}
.wpt-settings-table.wpt-modal-table .wpt-license-row {
  border-left: none;
}
.wpt-settings-table .wpt-license-row {
  height: 47px;
  border: 1px solid #e5e5e5;
  border-right: none;
}
.wpt-settings-table .wpt-license-row:first-of-type {
  border-top: none;
}
.wpt-settings-table .wpt-license-row.error {
  border-left: 5px solid #DC3232;
}
.wpt-settings-table thead tr {
  height: 47px;
  border-bottom: 1px solid #e5e5e5;
}
.wpt-settings-table th {
  padding: 1em 0;
  text-align: left;
  vertical-align: middle;
}
.wpt-settings-table th:first-of-type {
  padding-left: 1em;
}
.wpt-settings-table th:last-of-type {
  padding-right: 1em;
  text-align: right;
}
.update-core-php .wpt-settings-table th {
  padding-left: 0;
}
.update-core-php .wpt-settings-table th:first-of-type {
  padding: 1em;
}
.wpt-settings-table .wpt-license-row.teaser label:after {
  content: " (soon)";
  padding-left: 1em;
  font-style: oblique;
  font-size: .8rem;
}
.wpt-settings-table .wpt-license-row td {
  text-align: left;
  vertical-align: middle;
  white-space: nowrap;
}
.wpt-settings-table .wpt-license-row td:first-of-type {
  width: 22%;
  padding-left: 12px;
}
.update-core-php .wpt-settings-table .wpt-license-row td:first-of-type {
  width: auto;
}
.wpt-settings-table .wpt-license-row td.column-actions {
  text-align: right;
  padding-left: 0;
  padding-right: 12px;
}
.wpt-settings-table .wpt-license-row td label {
  font-weight: bold;
  line-height: 1.5;
  display: inline-block;
  padding: 4px 8px;
  vertical-align: middle;
  transition: all .25s ease-out;
  border: 1px solid transparent;
  border-radius: 0;
  outline: 0;
  background: 0 0;
}
.wpt-settings-table .wpt-license-row td label:hover, .wpt-settings-table .wpt-license-row td label:focus {
  cursor: pointer;
  border-color: #eee;
  background: #fafafa;
  t: 0;
}
.wpt-settings-table .wpt-license-row td label:hover + .dashicons, .wpt-settings-table .wpt-license-row td label:focus + .dashicons {
  display: inline-block;
}
.wpt-settings-table .wpt-license-row td label + .dashicons {
  line-height: 1.5;
  display: none;
  margin-top: 1px;
  margin-bottom: -1px;
}
.wpt-settings-table input[type="password"] {
  padding: 4px 5px 5px;
}

.wpt-table .column-action,
.wpt-license-table .column-action {
  text-align: right;
  padding-right: 1em;
}
.wpt-table .column-ajax,
.wpt-license-table .column-ajax {
  width: 20px;
}
.wpt-table .column-ajax.is-success,
.wpt-license-table .column-ajax.is-success {
  background-color: #46b450;
  color: #ffffff;
}
.wpt-table .column-ajax.is-error,
.wpt-license-table .column-ajax.is-error {
  background-color: #DC3232;
  color: #ffffff;
}
.wpt-table .column-ajax.is-info,
.wpt-license-table .column-ajax.is-info {
  background-color: #00A0D2;
  color: #ffffff;
}

.wpt-modal-table input[type="text"],
.wpt-modal-table input[type="url"],
.wpt-modal-table input[type="password"],
.wpt-modal-table select,
.wpt-modal-table textarea {
  width: 200px;
}

.wpt-repo-status {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.wpt-translation-version {
  line-height: 1.7;
}

.wpt-empty-table {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 1em;
}

.wpt-pro-header {
  background: #006277;
  padding: 24px  12px;
}
.wpt-pro-header img {
  max-width: 33%;
}

.wpt-nav .wp-filter {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 0;
}
.wpt-nav .filter-links {
  display: flex;
  align-items: center;
}
.wpt-nav .filter-links a {
  color: #0D5264;
  padding: 15px 0 11px;
}
.wpt-nav .filter-links a:focus, .wpt-nav .filter-links a:hover {
  color: #F18537;
}
.wpt-nav .filter-links a.current {
  color: #F18537;
  border-color: #F18537;
}
.wpt-nav .filter-links-right {
  float: right;
}
.wpt-nav .filter-links-left li:first-of-type {
  padding-right: 1.5em;
  margin-right: .5em;
  border-right: 1px solid rgba(0, 0, 0, 0.1);
}

.wptpro-footer-link {
  margin-right: 10px;
  text-decoration: none;
}

.js-tabcontent[aria-hidden=true] {
  display: none;
}

.wpt-tab-alone {
  width: 100%;
}

.wpt-readme-tabs__content {
  padding: .5em;
}
.wpt-readme-tabs__content .invisible {
  border: 0;
  clip: rect(1px, 1px, 1px, 1px);
  clip-path: inset(50%);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute !important;
  width: 1px;
  word-wrap: normal !important;
}

.wpt-readme-tabs__list {
  display: flex;
  margin-bottom: 0;
  border-bottom: 1px solid #eee;
}

.js-tablist__item {
  margin-bottom: 10px;
}

.wpt-readme-tabs__link {
  margin-left: .25em;
  padding: 10px;
  background: #f4f5f6;
  border: 1px solid #eee;
  font-weight: bold;
  cursor: pointer;
}

.wpt-readme-tabs__link[aria-selected=true] {
  background: #ffffff;
  border-bottom-color: #ffffff;
}

.wpt-product-page-link {
  position: absolute;
  bottom: 0;
  width: 100%;
  padding-bottom: 1em;
  text-align: center;
}

/** New A11y version */
.wpt-settings-tabs {
  display: flex;
  flex-wrap: wrap;
}

.wpt-settings-tabs__list {
  margin: 0;
  background-color: #f5f5f5;
}

.wpt-settings-tabs__item {
  background-color: #fafafa;
  border-bottom: 1px solid #e5e5e5;
  margin-bottom: 0;
  cursor: pointer;
}
.wpt-settings-tabs__item.teaser span + span::after {
  content: " (soon)";
  padding-left: 1em;
  font-style: oblique;
  font-size: .8rem;
}
.wpt-settings-tabs__item span {
  margin-right: .5em;
}
@media (max-width: 896px) {
  .wpt-settings-tabs__item span {
    margin-right: 0;
  }
}
.wpt-settings-tabs__item a {
  display: block;
  padding: 1em 1.5em 1em;
  line-height: 1.5;
  font-weight: bold;
  border-left: 5px solid #e5e5e5;
  color: #006277;
}
@media (max-width: 896px) {
  .wpt-settings-tabs__item a {
    padding: 13px 13px 12px 13px;
  }
}
.wpt-settings-tabs__item a[aria-selected="true"] {
  background: #ffffff;
  border-left: 5px solid #0073aa;
  color: #0073aa;
}
.wpt-settings-tabs__item a:hover {
  background: #ffffff;
  color: #0073aa;
}

.wpt-settings-tabs__content {
  flex: 1;
  border-left: 1px solid #e5e5e5;
}

.hidden {
  display: none;
}

#js-modal-page {
  height: 100%;
}

/* needed for old browsers */
dialog {
  display: block;
  padding: 0;
}

/* removes scroll when modal is opened */
.no-scroll {
  overflow: hidden;
}

/* overlay covers everything */
.wpt-modal-modal-overlay {
  position: fixed;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  background: #000;
  opacity: .2;
  z-index: 9991;
  cursor: pointer;
}

/* modal */
.wpt-modal-modal,
.wpt-modal-modal--reverse {
  left: auto;
  right: 0;
  top: 0;
  bottom: 0;
  height: 100%;
  width: 42em;
  z-index: 9992;
  position: fixed;
  padding: 50px 0 0 40px;
  font-size: 1em;
  background: transparent;
  border: 0;
  overflow-y: scroll;
  animation: apparition ease .5s 1 normal;
  transform: translateZ(0);
}
.wpt-modal-modal div[role="document"],
.wpt-modal-modal--reverse div[role="document"] {
  height: auto;
  min-height: 100%;
  background-color: #ffffff;
  box-shadow: -0.5em 0 10px rgba(0, 0, 0, 0.2);
}

.wpt-modal-modal--reverse {
  -webkit-animation-direction: reverse;
  animation-direction: reverse;
}

@keyframes apparition {
  0% {
    opacity: 0;
    max-height: 100%;
    width: 0;
    left: auto;
  }
  100% {
    opacity: 1;
    max-width: 100%;
    left: auto;
  }
}
.wpt-modal-modal-close {
  position: absolute;
  top: 56px;
  left: 0;
  border-color: #008EC2;
  background: #00a0d2;
  padding: 4px 8px;
  text-decoration: none;
  border: none;
  border: 1px solid #008EC2;
  border-radius: 0 0 0 5px;
  background: #00a0d2;
  color: #fff;
  text-shadow: none;
  font-weight: 600;
  font-family: "dashicons";
  font-size: 13px;
  line-height: normal;
  cursor: pointer;
  outline: 0;
}
.wpt-modal-modal-close:before {
  content: "\f345";
  font-size: 1.3rem;
}
.wpt-modal-modal-close span {
  border: 0;
  clip: rect(1px, 1px, 1px, 1px);
  -webkit-clip-path: inset(50%);
  clip-path: inset(50%);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
  word-wrap: normal !important;
}

.wpt-modal-modal-overlay[data-background-click="disabled"] {
  cursor: auto;
}

.wpt-modal-modal-title {
  padding: .5em;
  border-bottom: 1px solid #ccc;
  text-align: center;
}

.wpt-modal-modal__content {
  height: 100%;
}
.wpt-modal-modal__content .inside {
  padding: 1em;
}

/* it can be easily adapted in media-queries for tablets/mobile */
/* for this example: tablets */
@media (max-width: 55.625em) {
  .wpt-modal-modal {
    left: 5%;
    top: 5%;
    bottom: 5%;
    width: 90%;
  }
}
/* for this example: mobile */
@media (max-width: 44.375em) {
  .wpt-modal-modal {
    left: 1%;
    top: 1%;
    max-width: 98%;
    bottom: 1%;
  }
}
.wpt-page-wizard {
  min-height: 50vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.wpt-wizard-step {
  min-width: 480px;
  padding: 2em;
  background: #ffffff;
}
.wpt-wizard-step h2, .wpt-wizard-step img {
  text-align: center;
}
.wpt-wizard-step .wpt-table {
  width: 100%;
  border-collapse: collapse;
  table-layout: auto;
}
.wpt-wizard-step .wpt-table thead th {
  padding: .5em 0;
  border-bottom: 1px solid rgba(0, 0, 0, 0.2);
}
.wpt-wizard-step .wpt-table td {
  padding: .5em 0;
}

.wpt-wizard-actions {
  margin-top: 1em;
  padding-top: 1em;
  border-top: 1px solid rgba(0, 0, 0, 0.2);
  text-align: right;
}
.wpt-wizard-actions .spinner {
  float: none;
}

/* ol is flex-container */
.tunnel {
  counter-reset: progress;
  padding-left: 0;
  display: flex;
}

/* li is flex-item and flex-container */
.tunnel li {
  display: flex;
  align-items: center;
  list-style-type: none;
  counter-increment: progress;
}

/* everyone flexible except first */
.tunnel li + li {
  flex: 1 0 auto;
}

/* hide further steps */
.tunnel .is-current ~ li {
  opacity: .3;
}

/* show counter numbers */
.tunnel li::after {
  content: counter(progress);
  display: inline-block;
  box-sizing: border-box;
  width: 2em;
  height: 2em;
  line-height: 2em;
  background: #F18537;
  border-radius: 50%;
  text-align: center;
  color: #fff;
}

/* show progress bars except for first */
.tunnel li + li::before {
  content: "";
  flex: 1;
  display: block;
  /* IE10 fix */
  border-bottom: 2px solid #F18537;
}

.tunnel .is-current ~ li::before {
  border-bottom-style: dotted;
}

.wpt-debug ul {
  margin: 0 0 0 3em;
  padding: .5em 0 0 .0;
  border-left: 2px dashed #F18537;
}
.wpt-debug ul h4 {
  margin: 1em 0;
}
.wpt-debug li {
  display: flex;
  align-items: center;
}
.wpt-debug li div {
  flex: 1;
  padding: .5em;
  border: 1px solid #ccc;
}
.wpt-debug li:before {
  content: '---';
  color: #F18537;
}
